# HG changeset patch
# Node ID dcdf038fa1dc
# Parent  e49f8ee3e8f6
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-page.c b/gplugin-gtk4/gplugin-gtk-plugin-page.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-page.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-page.c
@@ -32,7 +32,7 @@
  * A widget that displays a single [iface@GPlugin.Plugin] in a user friendly
  * way, intended to be placed in a [class@GPluginGtk4.View].
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 
 /******************************************************************************
@@ -265,7 +265,7 @@
 	 *
 	 * The [iface@GPlugin.Plugin] whose info should be displayed.
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	properties[PROP_PLUGIN] = g_param_spec_object(
 		"plugin",
@@ -279,7 +279,7 @@
 	 *
 	 * The [class@Gio.SettingsBackend] to use when viewing plugin settings.
 	 *
-	 * Since: 0.40.0
+	 * Since: 0.40
 	 */
 	properties[PROP_SETTINGS_BACKEND] = g_param_spec_object(
 		"settings-backend",
@@ -299,7 +299,7 @@
 	 *
 	 * Emitted when the plugin page enable switch is toggled.
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	signals[SIG_PLUGIN_STATE_SET] = g_signal_new_class_handler(
 		"plugin-state-set",
@@ -364,7 +364,7 @@
  *
  * Returns: (transfer full): The new widget.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 GtkWidget *
 gplugin_gtk_plugin_page_new(void)
@@ -381,7 +381,7 @@
  *
  * A @plugin value of %NULL will clear the widget.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 void
 gplugin_gtk_plugin_page_set_plugin(
@@ -406,7 +406,7 @@
  * Returns: (transfer none) (nullable): The plugin that's being displayed, or
  *          %NULL if the page is empty.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 GPluginPlugin *
 gplugin_gtk_plugin_page_get_plugin(GPluginGtkPluginPage *page)
@@ -428,7 +428,7 @@
  * GPlugin users, this function takes a `gpointer` instead of a
  * `GSettingsBackend *` but the type will be checked internally.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 void
 gplugin_gtk_plugin_page_set_settings_backend(
@@ -460,7 +460,7 @@
  *
  * Returns: (transfer none): The settings backend in use.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 gpointer
 gplugin_gtk_plugin_page_get_settings_backend(GPluginGtkPluginPage *page)
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-row.c b/gplugin-gtk4/gplugin-gtk-plugin-row.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-row.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-row.c
@@ -28,7 +28,7 @@
  * A widget that displays a [iface@GPlugin.Plugin] in a user friendly way,
  * intended to be placed in a [class@Gtk.ListBox].
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 
 /******************************************************************************
@@ -159,7 +159,7 @@
 	 *
 	 * The [iface@GPlugin.Plugin] whose info should be displayed.
 	 *
-	 * Since: 0.38.0
+	 * Since: 0.38
 	 */
 	properties[PROP_PLUGIN] = g_param_spec_object(
 		"plugin",
@@ -179,7 +179,7 @@
 	 *
 	 * Emitted when the plugin row enable switch is toggled.
 	 *
-	 * Since: 0.38.0
+	 * Since: 0.38
 	 */
 	signals[SIG_PLUGIN_STATE_SET] = g_signal_new_class_handler(
 		"plugin-state-set",
@@ -233,7 +233,7 @@
  *
  * Returns: (transfer full): The new widget.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 GtkWidget *
 gplugin_gtk_plugin_row_new(void)
@@ -250,7 +250,7 @@
  *
  * A @plugin value of %NULL will clear the widget.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 void
 gplugin_gtk_plugin_row_set_plugin(
@@ -273,7 +273,7 @@
  * Returns: (transfer none) (nullable): The plugin that's being displayed, or
  *          %NULL if the row is empty.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 GPluginPlugin *
 gplugin_gtk_plugin_row_get_plugin(GPluginGtkPluginRow *row)
@@ -291,7 +291,7 @@
  *
  * Returns: The sort key.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 gchar *
 gplugin_gtk_plugin_row_get_sort_key(GPluginGtkPluginRow *row)
@@ -310,7 +310,7 @@
  *
  * Returns: Whether the row matches the text or not.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 gboolean
 gplugin_gtk_plugin_row_matches_search(
diff --git a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
--- a/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
+++ b/gplugin-gtk4/gplugin-gtk-plugin-settings-list.c
@@ -26,7 +26,7 @@
  *
  * A [class@Gtk.ListBox] widget that displays all the settings from a plugin.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 
 /******************************************************************************
@@ -634,7 +634,7 @@
  *
  * Returns: (transfer full): The new list.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 GtkWidget *
 gplugin_gtk_plugin_settings_list_new(void)
@@ -649,7 +649,7 @@
  *
  * This function will set which plugin settings to display.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 void
 gplugin_gtk_plugin_settings_list_set_settings(
@@ -674,7 +674,7 @@
  *
  * Returns: (transfer none): The settings being displayed.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 GSettings *
 gplugin_gtk_plugin_settings_list_get_settings(
diff --git a/gplugin-gtk4/gplugin-gtk-version.h b/gplugin-gtk4/gplugin-gtk-version.h
--- a/gplugin-gtk4/gplugin-gtk-version.h
+++ b/gplugin-gtk4/gplugin-gtk-version.h
@@ -71,7 +71,7 @@
  * A macro that evaluates to the current stable version of GPlugin-Gtk, in a
  * format that can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_CUR_STABLE \
 	(G_ENCODE_VERSION(GPLUGIN_GTK_MAJOR_VERSION, GPLUGIN_GTK_MINOR_VERSION))
@@ -114,7 +114,7 @@
  * A macro that evaluates to the 0.31 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_31 (G_ENCODE_VERSION(0, 31))
 
@@ -130,7 +130,7 @@
  * A macro that evaluates to the 0.32 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_32 (G_ENCODE_VERSION(0, 32))
 
@@ -146,7 +146,7 @@
  * A macro that evaluates to the 0.33 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_33 (G_ENCODE_VERSION(0, 33))
 
@@ -162,7 +162,7 @@
  * A macro that evaluates to the 0.34 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_34 (G_ENCODE_VERSION(0, 34))
 
@@ -178,7 +178,7 @@
  * A macro that evaluates to the 0.35 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_35 (G_ENCODE_VERSION(0, 35))
 
@@ -194,7 +194,7 @@
  * A macro that evaluates to the 0.36 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_36 (G_ENCODE_VERSION(0, 36))
 
@@ -204,7 +204,7 @@
  * A macro that evaluates to the 0.37 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_37 (G_ENCODE_VERSION(0, 37))
 
@@ -220,7 +220,7 @@
  * A macro that evaluates to the 0.38 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_38 (G_ENCODE_VERSION(0, 38))
 
@@ -236,7 +236,7 @@
  * A macro that evaluates to the 0.39 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_39 (G_ENCODE_VERSION(0, 39))
 
@@ -258,7 +258,7 @@
  * A macro that evaluates to the 0.40 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_40 (G_ENCODE_VERSION(0, 40))
 
@@ -274,7 +274,7 @@
  * A macro that evaluates to the 0.41 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_41 (G_ENCODE_VERSION(0, 41))
 
@@ -290,7 +290,7 @@
  * A macro that evaluates to the 0.42 version of GPlugin-Gtk, in a format that
  * can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_GTK_VERSION_0_42 (G_ENCODE_VERSION(0, 42))
 
diff --git a/gplugin-gtk4/gplugin-gtk-view.c b/gplugin-gtk4/gplugin-gtk-view.c
--- a/gplugin-gtk4/gplugin-gtk-view.c
+++ b/gplugin-gtk4/gplugin-gtk-view.c
@@ -489,7 +489,7 @@
  * GPlugin users, this function takes a `gpointer` instead of a
  * `GSettingsBackend *` but the type will be checked internally.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 void
 gplugin_gtk_view_set_settings_backend(GPluginGtkView *view, gpointer backend)
@@ -520,7 +520,7 @@
  *
  * Returns: (transfer none): The settings backend.
  *
- * Since: 0.40.0
+ * Since: 0.40
  */
 gpointer
 gplugin_gtk_view_get_settings_backend(GPluginGtkView *view)
@@ -536,7 +536,7 @@
  *
  * Shows the plugin list overview.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 void
 gplugin_gtk_view_show_overview(GPluginGtkView *view)
@@ -556,7 +556,7 @@
  *
  * Shows a page for a single plugin.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 void
 gplugin_gtk_view_show_plugin(GPluginGtkView *view, GPluginPlugin *plugin)
diff --git a/gplugin/gplugin-core.c b/gplugin/gplugin-core.c
--- a/gplugin/gplugin-core.c
+++ b/gplugin/gplugin-core.c
@@ -28,11 +28,11 @@
  * @GPLUGIN_CORE_FLAGS_NONE: No flags.
  * @GPLUGIN_CORE_FLAGS_DISABLE_NATIVE_LOADER: Disable the native plugin loader.
  * @GPLUGIN_CORE_FLAGS_LOG_PLUGIN_STATE_CHANGES: Log plugin state changes with
- *                                               g_message. Since: 0.34.0
+ *                                               g_message. Since: 0.34.
  *
  * Flags to configure behaviors in GPlugin.
  *
- * Since: 0.31.0
+ * Since: 0.31
  */
 
 static GPluginCoreFlags core_flags = 0;
@@ -100,7 +100,7 @@
  *
  * Returns: The core flags that GPlugin was initialized with.
  *
- * Since: 0.34.0
+ * Since: 0.34
  */
 GPluginCoreFlags
 gplugin_get_flags(void)
diff --git a/gplugin/gplugin-file-source.c b/gplugin/gplugin-file-source.c
--- a/gplugin/gplugin-file-source.c
+++ b/gplugin/gplugin-file-source.c
@@ -25,7 +25,7 @@
  *
  * A [iface@GPlugin.Source] that will query plugins on disk.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 
 struct _GPluginFileSource {
@@ -581,7 +581,7 @@
 	 *
 	 * The [class@GPlugin.Manager] that this source is working for.
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	properties[PROP_MANAGER] = g_param_spec_object(
 		"manager",
@@ -606,7 +606,7 @@
  *
  * Returns: (transfer full): The new source.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 GPluginSource *
 gplugin_file_source_new(GPluginManager *manager)
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -145,7 +145,7 @@
 	 *
 	 * The identifier of the loader.
 	 *
-	 * Since: 0.34.0
+	 * Since: 0.34
 	 */
 	properties[PROP_ID] = g_param_spec_string(
 		"id",
@@ -169,7 +169,7 @@
  *
  * Returns: The ID of @loader.
  *
- * Since: 0.34.0
+ * Since: 0.34
  */
 const gchar *
 gplugin_loader_get_id(GPluginLoader *loader)
diff --git a/gplugin/gplugin-manager.c b/gplugin/gplugin-manager.c
--- a/gplugin/gplugin-manager.c
+++ b/gplugin/gplugin-manager.c
@@ -46,7 +46,7 @@
  * when to load and unload plugins. It also keeps track of paths that should be
  * searched for plugins.
  *
- * Since: 0.32.0
+ * Since: 0.32
  */
 
 /******************************************************************************
@@ -430,7 +430,7 @@
 	 * Emitted when @loader has been registered with @manager via
 	 * [method@GPlugin.Manager.register_loader].
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	signals[SIG_LOADER_REGISTERED] = g_signal_new_class_handler(
 		"loader-registered",
@@ -452,7 +452,7 @@
 	 * Emitted when @loader has been unregistered from @manager via
 	 * [method@GPlugin.Manager.unregister_loader].
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	signals[SIG_LOADER_UNREGISTERED] = g_signal_new_class_handler(
 		"loader-unregistered",
@@ -702,7 +702,7 @@
  *
  * Append the paths held in the environment variable @name to the list.
  *
- * Since: 0.37.0
+ * Since: 0.37
  */
 void
 gplugin_manager_append_paths_from_environment(
@@ -719,7 +719,7 @@
  *
  * Prepends the paths held in the environment variable @name to the list.
  *
- * Since: 0.37.0
+ * Since: 0.37
  */
 void
 gplugin_manager_prepend_paths_from_environment(
@@ -1493,7 +1493,7 @@
  * Adds @plugin to @manager with @id. This should only be called by
  * [iface@GPlugin.Source] implementations.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 void
 gplugin_manager_add_plugin(
@@ -1519,7 +1519,7 @@
  *
  * Returns: (transfer none): The default GPluginManager instance.
  *
- * Since: 0.33.0
+ * Since: 0.33
  */
 GPluginManager *
 gplugin_manager_get_default(void)
diff --git a/gplugin/gplugin-native-loader.c b/gplugin/gplugin-native-loader.c
--- a/gplugin/gplugin-native-loader.c
+++ b/gplugin/gplugin-native-loader.c
@@ -388,7 +388,7 @@
  *
  * Returns: (transfer full): The new instance.
  *
- * Since: 0.34.0
+ * Since: 0.34
  */
 GPluginLoader *
 gplugin_native_loader_new(void)
diff --git a/gplugin/gplugin-native-plugin.c b/gplugin/gplugin-native-plugin.c
--- a/gplugin/gplugin-native-plugin.c
+++ b/gplugin/gplugin-native-plugin.c
@@ -38,7 +38,7 @@
  * Returns: (transfer full): A #GPluginPluginInfo instance on success or %NULL
  *          with @error set on error.
  *
- * Since: 0.31.0
+ * Since: 0.31
  */
 
 /**
@@ -51,7 +51,7 @@
  * Returns: %TRUE if @plugin was successfully loaded, or %FALSE with @error
  *          set on failure.
  *
- * Since: 0.31.0
+ * Since: 0.31
  */
 
 /**
@@ -64,7 +64,7 @@
  * Returns: %TRUE if @plugin was successfully unloaded, or %FALSE with @error
  *          set on failure.
  *
- * Since: 0.31.0
+ * Since: 0.31
  */
 
 /* Apparently clang-format also tries to format code in comments.. But in this
@@ -110,7 +110,7 @@
  * }
  * </programlisting></informalexample>
  *
- * Since: 0.31.0
+ * Since: 0.31
  */
 
 /* clang-format on */
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -611,7 +611,7 @@
 	 * optional version is used to help resolve dependencies that are based
 	 * on a specific version.
 	 *
-	 * Since: 0.32.0
+	 * Since: 0.32
 	 */
 	properties[PROP_PROVIDES] = g_param_spec_boxed(
 		"provides",
@@ -628,7 +628,7 @@
 	 * take precedence over lower values.  If two plugins have the same id and
 	 * priority, the first one found will be used.
 	 *
-	 * Since: 0.32.0
+	 * Since: 0.32
 	 */
 	properties[PROP_PRIORITY] = g_param_spec_int(
 		"priority",
@@ -691,7 +691,7 @@
 	 *
 	 * Defaults to %FALSE.
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	properties[PROP_AUTO_LOAD] = g_param_spec_boolean(
 		"auto-load",
@@ -762,7 +762,7 @@
 	 *
 	 * The ID of the [class@Gio.Settings] schema for the plugin.
 	 *
-	 * Since: 0.39.0
+	 * Since: 0.39
 	 */
 	properties[PROP_SETTINGS_SCHEMA] = g_param_spec_string(
 		"settings-schema",
@@ -918,7 +918,7 @@
 	 * Sets whether or not a plugin is unloadable. See
 	 * [method@GPlugin.PluginInfo.get_unloadable] for more information.
 	 *
-	 * Since: 0.35.0
+	 * Since: 0.35
 	 */
 	properties[PROP_UNLOADABLE] = g_param_spec_boolean(
 		"unloadable",
@@ -1006,7 +1006,7 @@
  * Returns: (array zero-terminated=1) (transfer none): The list of
  *          dependencies from @info.
  *
- * Since: 0.32.0
+ * Since: 0.32
  */
 const gchar *const *
 gplugin_plugin_info_get_provides(GPluginPluginInfo *info)
@@ -1028,7 +1028,7 @@
  *
  * Returns: The priority from @info.
  *
- * Since: 0.32.0
+ * Since: 0.32
  */
 gint
 gplugin_plugin_info_get_priority(GPluginPluginInfo *info)
@@ -1097,7 +1097,7 @@
  * Returns: %TRUE if the plugin should be loaded when queried, %FALSE
  *          otherwise.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 gboolean
 gplugin_plugin_info_get_auto_load(GPluginPluginInfo *info)
@@ -1183,7 +1183,7 @@
  *
  * Returns the ID of the [class@Gio.Settings] schema as specified in @info.
  *
- * Since: 0.39.0
+ * Since: 0.39
  *
  * Returns: The schema ID from @info.
  */
@@ -1434,7 +1434,7 @@
  *
  * Returns: %TRUE if the plugin is unloadable, otherwise %FALSE.
  *
- * Since: 0.35.0
+ * Since: 0.35
  */
 gboolean
 gplugin_plugin_info_get_unloadable(GPluginPluginInfo *info)
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -134,7 +134,7 @@
 	 *
 	 * See [method@GPlugin.Plugin.get_desired_state] for more information.
 	 *
-	 * Since: 0.38.0
+	 * Since: 0.38
 	 */
 	pspec = g_param_spec_enum(
 		"desired-state",
@@ -318,7 +318,7 @@
  *
  * Returns: The desired state that the user has requested the plugin to be in.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 GPluginPluginState
 gplugin_plugin_get_desired_state(GPluginPlugin *plugin)
@@ -342,7 +342,7 @@
  * Sets the desired state of the plugin. This shouldn't need to be called by
  * anyone except [class@GPlugin.Loader] which manages the state of plugins.
  *
- * Since: 0.38.0
+ * Since: 0.38
  */
 void
 gplugin_plugin_set_desired_state(
@@ -384,7 +384,7 @@
  *
  * Returns: The string representation of @state.
  *
- * Since: 0.32.0
+ * Since: 0.32
  */
 const gchar *
 gplugin_plugin_state_to_string(GPluginPluginState state)
diff --git a/gplugin/gplugin-source.c b/gplugin/gplugin-source.c
--- a/gplugin/gplugin-source.c
+++ b/gplugin/gplugin-source.c
@@ -22,7 +22,7 @@
  *
  * An interface that the manager will call during refresh to query plugins.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 
 G_DEFINE_INTERFACE(GPluginSource, gplugin_source, G_TYPE_OBJECT)
@@ -52,7 +52,7 @@
  *
  * Returns: %TRUE if an unqueried plugin was found, %FALSE otherwise.
  *
- * Since: 0.39.0
+ * Since: 0.39
  */
 gboolean
 gplugin_source_scan(GPluginSource *source)
diff --git a/gplugin/gplugin-version.h b/gplugin/gplugin-version.h
--- a/gplugin/gplugin-version.h
+++ b/gplugin/gplugin-version.h
@@ -69,7 +69,7 @@
  * A macro that evaluates to the current stable version of GPlugin, in a format
  * that can be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_CUR_STABLE \
 	(G_ENCODE_VERSION(GPLUGIN_MAJOR_VERSION, GPLUGIN_MINOR_VERSION))
@@ -109,7 +109,7 @@
  * A macro that evaluates to the 0.31 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_31 (G_ENCODE_VERSION(0, 31))
 
@@ -125,7 +125,7 @@
  * A macro that evaluates to the 0.32 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_32 (G_ENCODE_VERSION(0, 32))
 
@@ -141,7 +141,7 @@
  * A macro that evaluates to the 0.33 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_33 (G_ENCODE_VERSION(0, 33))
 
@@ -157,7 +157,7 @@
  * A macro that evaluates to the 0.34 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_34 (G_ENCODE_VERSION(0, 34))
 
@@ -173,7 +173,7 @@
  * A macro that evaluates to the 0.35 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_35 (G_ENCODE_VERSION(0, 35))
 
@@ -189,7 +189,7 @@
  * A macro that evaluates to the 0.36 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_36 (G_ENCODE_VERSION(0, 36))
 
@@ -199,7 +199,7 @@
  * A macro that evaluates to the 0.37 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_37 (G_ENCODE_VERSION(0, 37))
 
@@ -215,7 +215,7 @@
  * A macro that evaluates to the 0.38 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_38 (G_ENCODE_VERSION(0, 38))
 
@@ -231,7 +231,7 @@
  * A macro that evaluates to the 0.39 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_39 (G_ENCODE_VERSION(0, 39))
 
@@ -253,7 +253,7 @@
  * A macro that evaluates to the 0.40 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_40 (G_ENCODE_VERSION(0, 40))
 
@@ -269,7 +269,7 @@
  * A macro that evaluates to the 0.41 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_41 (G_ENCODE_VERSION(0, 41))
 
@@ -285,7 +285,7 @@
  * A macro that evaluates to the 0.42 version of GPlugin, in a format that can
  * be used by the C pre-processor.
  *
- * Since: 0.42.0
+ * Since: 0.42
  */
 #define GPLUGIN_VERSION_0_42 (G_ENCODE_VERSION(0, 42))
 
